discord
Get a Discord scheduled event
AuthorizationBearer <token>
API key authentication - use your Zernio API key as a Bearer token
In: header
Path Parameters
guildIdstring
eventIdstring
Query Parameters
accountIdstring
Response Body
application/json
application/json
import Zernio from '@zernio/node';const zernio = new Zernio({ apiKey: process.env.ZERNIO_API_KEY });const { data } = await zernio.discord.getDiscordScheduledEvent({ path: { guildId: 'guild_abc123', eventId: 'event_abc123', }, query: { accountId: 'account_abc123', },});console.log(data);{
"data": {
"id": "string",
"guild_id": "string",
"channel_id": "string",
"creator_id": "string",
"name": "string",
"description": "string",
"scheduled_start_time": "2019-08-24T14:15:22Z",
"scheduled_end_time": "2019-08-24T14:15:22Z",
"privacy_level": 2,
"status": 1,
"entity_type": 1,
"entity_id": "string",
"entity_metadata": {
"location": "string"
},
"user_count": 0,
"image": "string"
}
}{
"error": "Unauthorized"
}Empty
List Discord guild channels GET
Returns the text, announcement, and forum channels in the connected Discord guild. Use this to discover available channels when switching the connected channel via PATCH /v1/accounts/{accountId}/discord-settings.
Get Discord account settings GET
Returns the current Discord account settings including webhook identity (display name and avatar), connected channel, and guild information.